<?php
/*
Plugin Name: Accel Brain Beat
Plugin URI: https://wordpress.org/plugins/accel-brain-beat/
Description: This application enables you to handle your mind state by a kind of "Brain-Wave Controller". You can post blog while controlling your brain waves.
Version: 1.0.1
Author: chimera0
Author URI: http://media.accel-brain.com/
License: GPL2
*/
?>
<?php
/*  Copyright 2016 chimera0 (email : kimera0kimaira@gmail.com)
 
    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License, version 2, as
     published by the Free Software Foundation.
 
    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.
 
    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
*/
?>
<?php

function accel_brain_meta_box_inside () {
    echo '<div id="accel_brain_area"></div>';
}

function accel_brain_meta_box_output () {
    add_meta_box(
        'accel_brain_meta_post_page', 
        'Accel Brain Beat', 
        'accel_brain_meta_box_inside', 
        'post', 
        'side', 
        'low'
    );
}

function accel_brain_admin_style() {
    $strURL = plugins_url('css/accel-brain-beat.css', __FILE__);
    wp_register_style (
        'accel_brain_css', 
        $strURL, 
        array (), 
        null, 
        true
    );
    wp_enqueue_style('accel_brain_css');
}

function accel_brain_admin_script() {
    $strURL = plugins_url('js/accelbrainbeat.js', __FILE__);
    wp_register_script (
        'accel_brain_script', 
        $strURL, 
        array (), 
        null, 
        true
    );
    wp_enqueue_script ('accel_brain_script');
}

add_action('admin_menu', 'accel_brain_meta_box_output' );
add_action('admin_print_styles', 'accel_brain_admin_style');
add_action('admin_print_scripts', 'accel_brain_admin_script');
